@echo off

rem ESMPRO/SM
set ESMPRO_Key="HKLM\SOFTWARE\Wow6432Node\NEC\ESMSM"
set ESMPRO_CurrentVersion="6.24"

rem DPM
set DPM_Key="HKLM\SOFTWARE\Wow6432Node\NEC\DeploymentManager"
set DPM_VersionInformation="6.70"

rem Sysmon
set Sysmon_Key="HKLM\SOFTWARE\Wow6432Node\NEC\RMP"
set Sysmon_CurrentVersion="5.11"

rem PVM
set PVM_Key="HKLM\SOFTWARE\Wow6432Node\NEC\PVM"
set PVM_ProductVersion="6.7.0014"
set PVM_ProductCode="{7EFA7551-CFD5-4795-B64E-FC03A90815DA}"

rem registry check
call :LOOP %ESMPRO_Key% "CurrentVersion" %ESMPRO_CurrentVersion%
call :LOOP %DPM_Key% "VersionInformation" %DPM_VersionInformation%
call :LOOP %Sysmon_Key% "CurrentVersion" %Sysmon_CurrentVersion%

call :LOOP %PVM_Key% "ProductVersion" %PVM_ProductVersion%
call :LOOP %PVM_Key% "Version" %PVM_ProductVersion%
call :LOOP %PVM_Key% "ProductCode" %PVM_ProductCode%

pause

goto :eof

:LOOP
reg query %1 /v %2 | find %3

if %ErrorLevel%==0 goto OK
if %ErrorLevel%==1 goto NG

:OK
echo %2 : OK
exit /b :LOOP

:NG
echo %2 : NG
exit /b :LOOP

